org.apache.cassandra.hints

## Interface HintsServiceMBean

- All Known Implementing Classes:
    HintsService

      public interface HintsServiceMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteAllHints()` Irrevocably deletes all the stored hints files (with the exception of those that are being dispatched right now, or being written to).
    `void` | `deleteAllHintsForEndpoint(java.lang.String address)` Irrevocably deletes all the stored hints files for the target address (with the exception of those that are being dispatched right now, or being written to).
    `void` | `pauseDispatch()` Pause dispatch of all hints.
    `void` | `resumeDispatch()` Resume dispatch of all hints.

- - ### Method Detail

    - #### pauseDispatch

          void pauseDispatch()

      Pause dispatch of all hints. Does not affect the creation of hints.

    - #### resumeDispatch

          void resumeDispatch()

      Resume dispatch of all hints. Does not affect the creation of hints.

    - #### deleteAllHints

          void deleteAllHints()

      Irrevocably deletes all the stored hints files (with the exception of those that are being dispatched right now, or being written to).

    - #### deleteAllHintsForEndpoint

          void deleteAllHintsForEndpoint(java.lang.String address)

      Irrevocably deletes all the stored hints files for the target address (with the exception of those that are being dispatched right now, or being written to).

Copyright © 2018 The Apache Software Foundation